MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025963Open CASCADE[OCCT] OCCT:Foundation Classespublic2015-03-20 15:082015-06-20 16:09
Reporteribs 
Assigned Toapn 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
Platformarmv7OSMac OSOS VersionX
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025963: Define HashCode() for an unsigned int within armv7 target
DescriptionHashCode (Standard_Utf32Char, Standard_Integer) is not found when OCCT is built for architecture armv7
Steps To Reproduce1. generate OCCT xcode solution by WOK: wgenproj -target=xcd -ios
2. run the solution: ./xcode.sh
3. buid all targets for profiling
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0025745closedbugmaster Open CASCADE Porting to iOS 

-  Notes
(0038733)
git (administrator)
2015-03-20 15:11

Branch CR25963 has been created by ibs.

SHA-1: c62c1553e5b272299e28f2b3674d7636946dda47


Detailed log of new commits:

Author: ibs
Date: Fri Mar 20 10:08:31 2015 +0300

    0025963: Computing a hascoding value for an unsigned int is not defined for architecture armv7
    
    HashCode for Standard_Utf32Char included for __APPLE__ define
(0038735)
ibs (developer)
2015-03-20 15:22

Dear kgv, please review CR25963 OCCT branch
(0038736)
git (administrator)
2015-03-20 15:26

Branch CR25963 has been updated forcibly by ibs.

SHA-1: f9bf3bbb0eff2f251823fbc97400d6b61fd59720
(0038739)
git (administrator)
2015-03-20 15:31

Branch CR25963 has been updated by ibs.

SHA-1: daf32766f1f8b0336914b101dfe027232a6d81b1


Detailed log of new commits:

Author: kgv
Date: Wed Mar 4 16:16:42 2015 +0300

    OSD_EnvironmentIterator - do not use _NSGetEnviron() on iOS

(0038751)
kgv (developer)
2015-03-20 16:09

Please check compilation only, regression testing is not needed.
(0038762)
git (administrator)
2015-03-20 17:33

Branch CR25963 has been updated forcibly by apv.

SHA-1: cb23746aa6676e99fc37d0e8ddbe5146745b1926
(0038763)
apv (tester)
2015-03-20 17:33

Branch CR25963 has been rebased on the current master
(0038796)
apv (tester)
2015-03-23 17:10

Dear BugMaster,

Branch CR25963 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms.
SHA-1: cb23746aa6676e99fc37d0e8ddbe5146745b1926

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 4 (4 on master)
(0038802)
git (administrator)
2015-03-23 18:37

Branch CR25963_1 has been created by kgv.

SHA-1: 68833d1865a3f9a6fdffe361bc8ce383edc6bc44


Detailed log of new commits:

Author: kgv
Date: Mon Mar 23 18:37:41 2015 +0300

    0025963: Define HashCode() for an unsigned int within armv7 target
    
    OSD_EnvironmentIterator - do not use _NSGetEnviron() on iOS.
(0038806)
kgv (developer)
2015-03-23 18:42

Branch CR25963_1 is exactly the same patch squashed into single commit.
(0039450)
git (administrator)
2015-04-09 09:49

Branch CR25963 has been deleted by kgv.

SHA-1: cb23746aa6676e99fc37d0e8ddbe5146745b1926
(0039451)
git (administrator)
2015-04-09 09:49

Branch CR25963_1 has been deleted by kgv.

SHA-1: 68833d1865a3f9a6fdffe361bc8ce383edc6bc44

- Related Changesets
occt: master d44e14e3
Timestamp: 2015-03-23 15:37:41
Author: kgv
Committer: apn
Details ] Diff ]
0025963: Define HashCode() for an unsigned int within armv7 target

OSD_EnvironmentIterator - do not use _NSGetEnviron() on iOS.
mod - src/OSD/OSD_EnvironmentIterator.cxx Diff ] File ]
mod - src/Standard/Standard_Integer.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-03-20 15:08 ibs New Issue
2015-03-20 15:08 ibs Assigned To => ibs
2015-03-20 15:11 git Note Added: 0038733
2015-03-20 15:16 kgv Relationship added child of 0025745
2015-03-20 15:18 kgv Status new => assigned
2015-03-20 15:18 kgv Category OCCT:Visualization => OCCT:Foundation Classes
2015-03-20 15:18 kgv Summary Computing a hascoding value for an unsigned int is not defined for architecture armv7 => Define HashCode() for an unsigned int within armv7 target
2015-03-20 15:22 ibs Note Added: 0038735
2015-03-20 15:22 ibs Assigned To ibs => kgv
2015-03-20 15:22 ibs Status assigned => resolved
2015-03-20 15:23 ibs OS OS => Mac OS
2015-03-20 15:23 ibs Platform Mac => armv7
2015-03-20 15:26 git Note Added: 0038736
2015-03-20 15:31 git Note Added: 0038739
2015-03-20 16:09 kgv Note Added: 0038751
2015-03-20 16:09 kgv Assigned To kgv => bugmaster
2015-03-20 16:09 kgv Severity minor => trivial
2015-03-20 16:09 kgv Status resolved => reviewed
2015-03-20 16:15 mkv Assigned To bugmaster => apv
2015-03-20 17:33 git Note Added: 0038762
2015-03-20 17:33 apv Note Added: 0038763
2015-03-23 17:09 apv Test case number => Not needed
2015-03-23 17:10 apv Note Added: 0038796
2015-03-23 17:10 apv Assigned To apv => bugmaster
2015-03-23 17:10 apv Status reviewed => tested
2015-03-23 18:37 git Note Added: 0038802
2015-03-23 18:42 kgv Note Added: 0038806
2015-03-27 17:42 apn Changeset attached => occt master d44e14e3
2015-03-27 17:42 apn Assigned To bugmaster => apn
2015-03-27 17:42 apn Status tested => verified
2015-03-27 17:42 apn Resolution open => fixed
2015-04-09 09:49 git Note Added: 0039450
2015-04-09 09:49 git Note Added: 0039451
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0
2015-06-20 16:09 kgv Relationship added related to 0025556


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker